# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'version'

Gem::Specification.new do |s|
  s.name    = 'dialog_ruby'.freeze
  s.version = Dialog::VERSION
  s.authors = ['Eugene Istomin'.freeze]
  s.email   = ['info@innosense.org'.freeze]
  s.license = 'CC-BY-SA-4.0'
  
  s.homepage    = 'https://gitlab.com/Innosense/MVP/dialog_ruby'.freeze
  s.description = 'Communication prototyping platform'.freeze
  s.summary     = 'Communication prototyping platform'.freeze
  
  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir        = 'exe'
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }  
  s.require_paths = ['lib'.freeze]
  
  #External
  s.add_runtime_dependency  'tdlib-ruby',           '~> 1.0'
  s.add_runtime_dependency  'activesupport',        '~> 5.2'  
  s.add_runtime_dependency  'i18n',                 '~> 1.1'
  s.add_runtime_dependency  'redis',                '~> 4.0'
  s.add_runtime_dependency  'concurrent-ruby',      '~> 1.0'
  s.add_runtime_dependency  'oj',                   '~> 3.6'
  s.add_runtime_dependency  'sidekiq',              '~> 5.2'
  s.add_runtime_dependency  'sidekiq-batch',        '~> 0.1' 
  s.add_runtime_dependency  'sidekiq-status',       '~> 1.1'
  s.add_runtime_dependency  'sidekiq-cron',         '~> 1.0'
  s.add_runtime_dependency  'sidekiq-rate-limiter', '~> 0.1'
  s.add_runtime_dependency  'dry-configurable',     '~> 0.7'
  s.add_runtime_dependency  'redis-dump',           '~> 0.4'
  
end

# bundler
